### Method

# St Adjustment add_transition

#### Declaration [src]

    void
    st_adjustment_add_transition (
      StAdjustment* adjustment,
      const char* name,
      ClutterTransition* transition
    )

#### Description [src]

Add a `ClutterTransition` for the adjustment. If the transition stops, it will be automatically removed if `ClutterTransition:remove-on-complete` is `TRUE`.

#### Parameters

`name`

  Type: `const char*`

  A unique name for the transition.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`transition`

  Type: `ClutterTransition`

  A `ClutterTransition`.

  The data is owned by the caller of the method.